Update library
curl --request PATCH \
--url https://api.getcargo.io/v1/content/libraries/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {},
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.getcargo.io/v1/content/libraries/{uuid}"
payload = {
"name": "<string>",
"config": {},
"folderUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
config: {},
folderUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.getcargo.io/v1/content/libraries/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"library": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"name": "<string>",
"extractorSlug": "<string>",
"config": {},
"folderUuid": "<string>",
"lastSyncedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"kind": "<string>",
"connectorUuid": "<string>"
}
}Content - Libraries
Update library
Update a workspace library
PATCH
/
content
/
libraries
/
{uuid}
Update library
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Library identifier.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Body
application/json
Response
Successful response
Updated library details.
- Library
- Library
Show child attributes
Show child attributes
Was this page helpful?
⌘I

